Package com.netrics.likeit

## Enum NetricsRecOp.Op

- java.lang.Object
- - java.lang.Enum<NetricsRecOp.Op>
  - - com.netrics.likeit.NetricsRecOp.Op

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NetricsRecOp.Op>`
  Enclosing class:
    NetricsRecOp

      public static enum NetricsRecOp.Op
      extends java.lang.Enum<NetricsRecOp.Op>

  This defines the known record operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` | Add a record to the table, it is an error if it already exists.
    `DEL` | Delete a record, it is an error if it doesn't exist.
    `RPL` | Replace a record, it is an error if it doesn't exist.
    `UPD` | Add a record if it doesn't exist, otherwise replace the record.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` | Return the string name for this Operation code.
    `static NetricsRecOp.Op` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NetricsRecOp.Op[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final NetricsRecOp.Op ADD

      Add a record to the table, it is an error if it already exists.

    - #### UPD

          public static final NetricsRecOp.Op UPD

      Add a record if it doesn't exist, otherwise replace the record.

    - #### RPL

          public static final NetricsRecOp.Op RPL

      Replace a record, it is an error if it doesn't exist.

    - #### DEL

          public static final NetricsRecOp.Op DEL

      Delete a record, it is an error if it doesn't exist.

  - ### Method Detail

    - #### values

          public static NetricsRecOp.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetricsRecOp.Op c : NetricsRecOp.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetricsRecOp.Op valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Return the string name for this Operation code.
      Overrides:
        `toString` in class `java.lang.Enum<NetricsRecOp.Op>`
      Returns:
        the string name for this operation code.